Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354067 - raid0 needs to be protected from raid operations that do not apply
Summary: raid0 needs to be protected from raid operations that do not apply
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lvm2
Version: 7.3
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: Heinz Mauelshagen
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-08 23:01 UTC by Corey Marthaler
Modified: 2016-11-04 04:22 UTC (History)
7 users (show)

Fixed In Version: lvm2-2.02.161-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-04 04:22:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1445 normal SHIPPED_LIVE lvm2 bug fix and enhancement update 2016-11-03 13:46:41 UTC

Description Corey Marthaler 2016-07-08 23:01:55 UTC
Description of problem:

[root@host-084 ~]# lvcreate  --nosync --type raid0 -i 2 -n zero -L 5M raid_sanity
  Using default stripesize 64.00 KiB.
  Rounding up size to full physical extent 8.00 MiB
  Logical volume "zero" created.

[root@host-084 ~]# lvcreate -n linear -L 5M raid_sanity
  Rounding up size to full physical extent 8.00 MiB
  Logical volume "linear" created.

[root@host-084 ~]# lvcreate -n stripe -i 2 -L 5M raid_sanity
  Using default stripesize 64.00 KiB.
  Rounding up size to full physical extent 8.00 MiB
  Logical volume "stripe" created.


[root@host-084 ~]# lvchange --syncaction repair raid_sanity/stripe
  raid_sanity/stripe must be a RAID logical volume to perform this action.
[root@host-084 ~]# lvchange --syncaction repair raid_sanity/linear
  raid_sanity/linear must be a RAID logical volume to perform this action.

[root@host-084 ~]# lvchange --syncaction check raid_sanity/zero
  device-mapper: message ioctl on LVM-I41GAeV8aoWdtFX92qXzNLTe1Cj3uWpaGpxBzy5dkJI623tV2r2yFSTgUVQ03yEe failed: Invalid argument
[root@host-084 ~]# lvchange --syncaction repair raid_sanity/zero
  device-mapper: message ioctl on LVM-I41GAeV8aoWdtFX92qXzNLTe1Cj3uWpaGpxBzy5dkJI623tV2r2yFSTgUVQ03yEe failed: Invalid argument


Version-Release number of selected component (if applicable):
3.10.0-419.el7.x86_64

lvm2-2.02.160-1.el7    BUILT: Wed Jul  6 11:16:47 CDT 2016
lvm2-libs-2.02.160-1.el7    BUILT: Wed Jul  6 11:16:47 CDT 2016
lvm2-cluster-2.02.160-1.el7    BUILT: Wed Jul  6 11:16:47 CDT 2016
device-mapper-1.02.130-1.el7    BUILT: Wed Jul  6 11:16:47 CDT 2016
device-mapper-libs-1.02.130-1.el7    BUILT: Wed Jul  6 11:16:47 CDT 2016
device-mapper-event-1.02.130-1.el7    BUILT: Wed Jul  6 11:16:47 CDT 2016
device-mapper-event-libs-1.02.130-1.el7    BUILT: Wed Jul  6 11:16:47 CDT 2016
device-mapper-persistent-data-0.6.2-0.1.rc8.el7    BUILT: Wed May  4 02:56:34 CDT 2016
cmirror-2.02.160-1.el7    BUILT: Wed Jul  6 11:16:47 CDT 2016
sanlock-3.3.0-1.el7    BUILT: Wed Feb 24 09:52:30 CST 2016
sanlock-lib-3.3.0-1.el7    BUILT: Wed Feb 24 09:52:30 CST 2016
lvm2-lockd-2.02.160-1.el7    BUILT: Wed Jul  6 11:16:47 CDT 2016

Comment 2 Heinz Mauelshagen 2016-07-18 18:23:28 UTC
Already fixed with upstream commit c77c59f3d9a97b43cd2bd9be1c5892aea384f857
as commented in rhbz1354656

Comment 6 errata-xmlrpc 2016-11-04 04:22:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1445.html


Note You need to log in before you can comment on or make changes to this bug.